import { findOrCreateExtendedField as publicFindOrCreateExtendedField, getExtendedField as publicGetExtendedField, renameExtendedField as publicRenameExtendedField, deleteExtendedField as publicDeleteExtendedField, queryExtendedFields as publicQueryExtendedFields, } from './contacts-v4-extended-field-extended-fields.public.js';
import { createRESTModule } from '@wix/sdk-runtime/rest-modules';
import { createEventModule } from '@wix/sdk-runtime/event-definition-modules';
import { onExtendedFieldCreated as publicOnExtendedFieldCreated } from './contacts-v4-extended-field-extended-fields.public.js';
import { onExtendedFieldDeleted as publicOnExtendedFieldDeleted } from './contacts-v4-extended-field-extended-fields.public.js';
import { onExtendedFieldUpdated as publicOnExtendedFieldUpdated } from './contacts-v4-extended-field-extended-fields.public.js';
export const findOrCreateExtendedField = /*#__PURE__*/ createRESTModule(publicFindOrCreateExtendedField);
export const getExtendedField = /*#__PURE__*/ createRESTModule(publicGetExtendedField);
export const renameExtendedField = /*#__PURE__*/ createRESTModule(publicRenameExtendedField);
export const deleteExtendedField = /*#__PURE__*/ createRESTModule(publicDeleteExtendedField);
export const queryExtendedFields = /*#__PURE__*/ createRESTModule(publicQueryExtendedFields);
/**
 * Triggered when an extended field is created.
 */
export const onExtendedFieldCreated = createEventModule(publicOnExtendedFieldCreated);
/**
 * Triggered when an extended field is deleted.
 */
export const onExtendedFieldDeleted = createEventModule(publicOnExtendedFieldDeleted);
/**
 * Triggered when an extended field is updated.
 */
export const onExtendedFieldUpdated = createEventModule(publicOnExtendedFieldUpdated);
export { FieldDataType, FieldType, SortOrder, WebhookIdentityType, } from './contacts-v4-extended-field-extended-fields.universal.js';
//# sourceMappingURL=contacts-v4-extended-field-extended-fields.context.js.map