export var FieldDataType;
(function (FieldDataType) {
    /** Accepts strings. */
    FieldDataType["TEXT"] = "TEXT";
    /** Accepts floats. */
    FieldDataType["NUMBER"] = "NUMBER";
    /** Accepts dates formatted as `YYYY-MM-DD`. */
    FieldDataType["DATE"] = "DATE";
    /** Accepts strings. Prepends `https://` if no protocol is included. */
    FieldDataType["URL"] = "URL";
})(FieldDataType || (FieldDataType = {}));
export var FieldType;
(function (FieldType) {
    /** Field is a system field managed by Wix. System fields can't be modified by calling the Update Extended Field method. */
    FieldType["SYSTEM"] = "SYSTEM";
    /** Field is a custom field and can be modified by calling the Update Extended Field method. */
    FieldType["USER_DEFINED"] = "USER_DEFINED";
})(FieldType || (FieldType = {}));
export var SortOrder;
(function (SortOrder) {
    /** Sort by ascending order. */
    SortOrder["ASC"] = "ASC";
    /** Sort by descending order. */
    SortOrder["DESC"] = "DESC";
})(SortOrder || (SortOrder = {}));
export var WebhookIdentityType;
(function (WebhookIdentityType) {
    WebhookIdentityType["UNKNOWN"] = "UNKNOWN";
    WebhookIdentityType["ANONYMOUS_VISITOR"] = "ANONYMOUS_VISITOR";
    WebhookIdentityType["MEMBER"] = "MEMBER";
    WebhookIdentityType["WIX_USER"] = "WIX_USER";
    WebhookIdentityType["APP"] = "APP";
})(WebhookIdentityType || (WebhookIdentityType = {}));
//# sourceMappingURL=contacts-v4-extended-field-extended-fields.types.js.map