"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebhookIdentityType = exports.SortOrder = exports.FieldType = exports.FieldDataType = exports.onExtendedFieldUpdated = exports.onExtendedFieldDeleted = exports.onExtendedFieldCreated = exports.queryExtendedFields = exports.deleteExtendedField = exports.renameExtendedField = exports.getExtendedField = exports.findOrCreateExtendedField = void 0;
const contacts_v4_extended_field_extended_fields_public_js_1 = require("./contacts-v4-extended-field-extended-fields.public.js");
const rest_modules_1 = require("@wix/sdk-runtime/rest-modules");
const event_definition_modules_1 = require("@wix/sdk-runtime/event-definition-modules");
const contacts_v4_extended_field_extended_fields_public_js_2 = require("./contacts-v4-extended-field-extended-fields.public.js");
const contacts_v4_extended_field_extended_fields_public_js_3 = require("./contacts-v4-extended-field-extended-fields.public.js");
const contacts_v4_extended_field_extended_fields_public_js_4 = require("./contacts-v4-extended-field-extended-fields.public.js");
exports.findOrCreateExtendedField = (0, rest_modules_1.createRESTModule)(contacts_v4_extended_field_extended_fields_public_js_1.findOrCreateExtendedField);
exports.getExtendedField = (0, rest_modules_1.createRESTModule)(contacts_v4_extended_field_extended_fields_public_js_1.getExtendedField);
exports.renameExtendedField = (0, rest_modules_1.createRESTModule)(contacts_v4_extended_field_extended_fields_public_js_1.renameExtendedField);
exports.deleteExtendedField = (0, rest_modules_1.createRESTModule)(contacts_v4_extended_field_extended_fields_public_js_1.deleteExtendedField);
exports.queryExtendedFields = (0, rest_modules_1.createRESTModule)(contacts_v4_extended_field_extended_fields_public_js_1.queryExtendedFields);
/**
 * Triggered when an extended field is created.
 */
exports.onExtendedFieldCreated = (0, event_definition_modules_1.createEventModule)(contacts_v4_extended_field_extended_fields_public_js_2.onExtendedFieldCreated);
/**
 * Triggered when an extended field is deleted.
 */
exports.onExtendedFieldDeleted = (0, event_definition_modules_1.createEventModule)(contacts_v4_extended_field_extended_fields_public_js_3.onExtendedFieldDeleted);
/**
 * Triggered when an extended field is updated.
 */
exports.onExtendedFieldUpdated = (0, event_definition_modules_1.createEventModule)(contacts_v4_extended_field_extended_fields_public_js_4.onExtendedFieldUpdated);
var contacts_v4_extended_field_extended_fields_universal_js_1 = require("./contacts-v4-extended-field-extended-fields.universal.js");
Object.defineProperty(exports, "FieldDataType", { enumerable: true, get: function () { return contacts_v4_extended_field_extended_fields_universal_js_1.FieldDataType; } });
Object.defineProperty(exports, "FieldType", { enumerable: true, get: function () { return contacts_v4_extended_field_extended_fields_universal_js_1.FieldType; } });
Object.defineProperty(exports, "SortOrder", { enumerable: true, get: function () { return contacts_v4_extended_field_extended_fields_universal_js_1.SortOrder; } });
Object.defineProperty(exports, "WebhookIdentityType", { enumerable: true, get: function () { return contacts_v4_extended_field_extended_fields_universal_js_1.WebhookIdentityType; } });
//# sourceMappingURL=contacts-v4-extended-field-extended-fields.context.js.map