import * as ambassadorWixContactsV4ExtendedFieldTypes from './contacts-v4-extended-field-extended-fields.types.js';
import * as ambassadorWixContactsV4ExtendedFieldUniversalTypes from './contacts-v4-extended-field-extended-fields.universal.js';
export type __PublicMethodMetaInfo<K = string, M = unknown, T = unknown, S = unknown, Q = unknown, R = unknown> = {
    getUrl: (context: any) => string;
    httpMethod: K;
    path: string;
    pathParams: M;
    __requestType: T;
    __originalRequestType: S;
    __responseType: Q;
    __originalResponseType: R;
};
export declare function findOrCreateExtendedField(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixContactsV4ExtendedFieldUniversalTypes.FindOrCreateExtendedFieldRequest, ambassadorWixContactsV4ExtendedFieldTypes.FindOrCreateExtendedFieldRequest, ambassadorWixContactsV4ExtendedFieldUniversalTypes.FindOrCreateExtendedFieldResponse & ambassadorWixContactsV4ExtendedFieldUniversalTypes.FindOrCreateExtendedFieldResponseNonNullableFields, ambassadorWixContactsV4ExtendedFieldTypes.FindOrCreateExtendedFieldResponse & ambassadorWixContactsV4ExtendedFieldTypes.FindOrCreateExtendedFieldResponseNonNullableFields>;
export declare function getExtendedField(): __PublicMethodMetaInfo<'GET', {
    key: string;
}, ambassadorWixContactsV4ExtendedFieldUniversalTypes.GetExtendedFieldRequest, ambassadorWixContactsV4ExtendedFieldTypes.GetExtendedFieldRequest, ambassadorWixContactsV4ExtendedFieldUniversalTypes.GetExtendedFieldResponse & ambassadorWixContactsV4ExtendedFieldUniversalTypes.GetExtendedFieldResponseNonNullableFields, ambassadorWixContactsV4ExtendedFieldTypes.GetExtendedFieldResponse & ambassadorWixContactsV4ExtendedFieldTypes.GetExtendedFieldResponseNonNullableFields>;
export declare function renameExtendedField(): __PublicMethodMetaInfo<'PATCH', {
    fieldKey: string;
}, ambassadorWixContactsV4ExtendedFieldUniversalTypes.UpdateExtendedFieldRequest, ambassadorWixContactsV4ExtendedFieldTypes.UpdateExtendedFieldRequest, ambassadorWixContactsV4ExtendedFieldUniversalTypes.UpdateExtendedFieldResponse & ambassadorWixContactsV4ExtendedFieldUniversalTypes.UpdateExtendedFieldResponseNonNullableFields, ambassadorWixContactsV4ExtendedFieldTypes.UpdateExtendedFieldResponse & ambassadorWixContactsV4ExtendedFieldTypes.UpdateExtendedFieldResponseNonNullableFields>;
export declare function deleteExtendedField(): __PublicMethodMetaInfo<'DELETE', {
    key: string;
}, ambassadorWixContactsV4ExtendedFieldUniversalTypes.DeleteExtendedFieldRequest, ambassadorWixContactsV4ExtendedFieldTypes.DeleteExtendedFieldRequest, ambassadorWixContactsV4ExtendedFieldUniversalTypes.DeleteExtendedFieldResponse, ambassadorWixContactsV4ExtendedFieldTypes.DeleteExtendedFieldResponse>;
export declare function queryExtendedFields(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixContactsV4ExtendedFieldUniversalTypes.QueryExtendedFieldsRequest, ambassadorWixContactsV4ExtendedFieldTypes.QueryExtendedFieldsRequest, ambassadorWixContactsV4ExtendedFieldUniversalTypes.QueryExtendedFieldsResponse & ambassadorWixContactsV4ExtendedFieldUniversalTypes.QueryExtendedFieldsResponseNonNullableFields, ambassadorWixContactsV4ExtendedFieldTypes.QueryExtendedFieldsResponse & ambassadorWixContactsV4ExtendedFieldTypes.QueryExtendedFieldsResponseNonNullableFields>;
