"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.queryExtendedFields = exports.deleteExtendedField = exports.renameExtendedField = exports.getExtendedField = exports.findOrCreateExtendedField = void 0;
const ambassadorWixContactsV4ExtendedField = __importStar(require("./contacts-v4-extended-field-extended-fields.http.js"));
function findOrCreateExtendedField() {
    const payload = {};
    const getRequestOptions = ambassadorWixContactsV4ExtendedField.findOrCreateExtendedField(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v4/extended-fields',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.findOrCreateExtendedField = findOrCreateExtendedField;
function getExtendedField() {
    const payload = { key: ':key' };
    const getRequestOptions = ambassadorWixContactsV4ExtendedField.getExtendedField(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v4/extended-fields/{key}',
        pathParams: { key: 'key' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.getExtendedField = getExtendedField;
function renameExtendedField() {
    const payload = { field: { key: ':fieldKey' } };
    const getRequestOptions = ambassadorWixContactsV4ExtendedField.updateExtendedField(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'PATCH',
        path: '/v4/extended-fields/{field.key}',
        pathParams: { fieldKey: 'fieldKey' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.renameExtendedField = renameExtendedField;
function deleteExtendedField() {
    const payload = { key: ':key' };
    const getRequestOptions = ambassadorWixContactsV4ExtendedField.deleteExtendedField(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'DELETE',
        path: '/v4/extended-fields/{key}',
        pathParams: { key: 'key' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.deleteExtendedField = deleteExtendedField;
function queryExtendedFields() {
    const payload = {};
    const getRequestOptions = ambassadorWixContactsV4ExtendedField.queryExtendedFields(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v4/extended-fields/query',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.queryExtendedFields = queryExtendedFields;
//# sourceMappingURL=contacts-v4-extended-field-extended-fields.meta.js.map