import * as ambassadorWixContactsV4ExtendedField from './contacts-v4-extended-field-extended-fields.http.js';
export function findOrCreateExtendedField() {
    const payload = {};
    const getRequestOptions = ambassadorWixContactsV4ExtendedField.findOrCreateExtendedField(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v4/extended-fields',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function getExtendedField() {
    const payload = { key: ':key' };
    const getRequestOptions = ambassadorWixContactsV4ExtendedField.getExtendedField(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v4/extended-fields/{key}',
        pathParams: { key: 'key' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function renameExtendedField() {
    const payload = { field: { key: ':fieldKey' } };
    const getRequestOptions = ambassadorWixContactsV4ExtendedField.updateExtendedField(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'PATCH',
        path: '/v4/extended-fields/{field.key}',
        pathParams: { fieldKey: 'fieldKey' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function deleteExtendedField() {
    const payload = { key: ':key' };
    const getRequestOptions = ambassadorWixContactsV4ExtendedField.deleteExtendedField(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'DELETE',
        path: '/v4/extended-fields/{key}',
        pathParams: { key: 'key' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function queryExtendedFields() {
    const payload = {};
    const getRequestOptions = ambassadorWixContactsV4ExtendedField.queryExtendedFields(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v4/extended-fields/query',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
//# sourceMappingURL=contacts-v4-extended-field-extended-fields.meta.js.map